> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.littglobal.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.littglobal.com/_mcp/server.

# Get LITT Cards

POST TBD/api/v2/users/litt-cards
Content-Type: application/json

This API endpoint fetches all the LITT cards associated with a user's account.

### Request Body

The body of the request does not require any field.

### Response

The response will be an array of cards with each containing the following details:

- `credit_card_id` (string): The unique identifier of the credit card.
    
- `parent_user_id` (string): If the card is associated with a parent user this is their ID.
    
- `external_id` (string): The external identifier of the credit card.
    
- `order_id` (string): The order ID related to the card.
    
- `credit_card_token` (string): A token used to represent the credit card.
    
- `bsb` (string): The Bank-State-Branch (BSB) number used in Australia.
    
- `account_number` (string): The account number of the credit card.
    
- `last_4_digits` (string): The last four digits of the credit card number.
    
- `holder_name` (string): The name of the cardholder.
    
- `expiry_date` (string): The expiry date of the credit card.
    
- `label` (string): The label of the card.
    
- `type` (string): The card type, e.g. Visa, MasterCard.
    
- `user_type` (string): The type of user the card belongs to.
    
- `is_default` (boolean): Whether the card is set as the default credit card.
    
- `created_at` (string): The date when the card was added.
    
- `updated_at` (string): The date when the card details were last updated.
    
- `ppan` (string): The Primary account number on the card.
    
- `contact_info` (string): The contact information associated with the card.
    
- `payment_gateway` (object): An object containing information about the payment gateway the card is associated with. This includes gateway's id, name, whether it supports teen card, email support, IVR for PIN, customer service number, status, and the dates when it was created and last updated.

Reference: https://docs.littglobal.com/litt-white-label/api-reference/digital-wallet/get-litt-cards

## Request

### Query parameters

- `api_token` (string, optional)

### Body (application/json)

This endpoint expects an object.

- `api` (string, optional)
- `data` (ApiV2UsersLittCardsPostRequestBodyContentApplicationJsonSchemaData, optional)

## Response

### 200

Get LITT Cards

- `message` (string, optional)
- `api` (string, optional)
- `status` (string, optional)
- `data` (list of ApiV2UsersLittCardsPostResponsesContentApplicationJsonSchemaDataItems, optional)

## Types

### ApiV2UsersLittCardsPostRequestBodyContentApplicationJsonSchemaData

### ApiV2UsersLittCardsPostResponsesContentApplicationJsonSchemaDataItems

- `credit_card_id` (string, optional)
- `parent_user_id` (any, optional, nullable)
- `external_id` (string, optional)
- `order_id` (string, optional)
- `credit_card_token` (string, optional)
- `bsb` (string, optional)
- `account_number` (string, optional)
- `last_4_digits` (string, optional)
- `holder_name` (string, optional)
- `expiry_date` (date, optional)
- `label` (string, optional)
- `type` (string, optional)
- `user_type` (string, optional)
- `is_default` (integer, optional)
- `created_at` (string, optional)
- `updated_at` (string, optional)
- `ppan` (string, optional)
- `contact_info` (any, optional, nullable)
- `payment_gateway` (ApiV2UsersLittCardsPostResponsesContentApplicationJsonSchemaDataItemsPaymentGateway, optional)

### ApiV2UsersLittCardsPostResponsesContentApplicationJsonSchemaDataItemsPaymentGateway

- `payment_gateway_id` (string, optional)
- `name` (string, optional)
- `supports_teen_card` (integer, optional)
- `kyc_support_email` (string, optional)
- `pin_ivr` (any, optional, nullable)
- `customer_service_number` (any, optional, nullable)
- `status` (string, optional)
- `created_at` (any, optional, nullable)
- `updated_at` (any, optional, nullable)

## Examples

**Request**

```json
{
  "api": "litt-cards"
}
```

**Response**

```json
{
  "message": "Successfully retrieved LITT cards",
  "api": "litt-cards",
  "status": "success",
  "data": [
    {
      "credit_card_id": "2e864d0b-c094-48f1-b2ab-8b79fb53e346",
      "parent_user_id": null,
      "external_id": "481991OFIBBO9659",
      "order_id": "CRIBOA2020110687580",
      "credit_card_token": "",
      "bsb": "013-962",
      "account_number": "101948448",
      "last_4_digits": "9659",
      "holder_name": "James Testone",
      "expiry_date": "2024-04-30",
      "label": "",
      "type": "Visa",
      "user_type": "User",
      "is_default": 0,
      "created_at": "2020-11-06 06:02:44",
      "updated_at": "2020-11-06 06:02:44",
      "ppan": "481991OFIBBO9659",
      "contact_info": null,
      "payment_gateway": {
        "payment_gateway_id": "5d0b56883094b",
        "name": "novatti",
        "supports_teen_card": 0,
        "kyc_support_email": "support@thelittapp.com",
        "pin_ivr": null,
        "customer_service_number": null,
        "status": "inactive",
        "created_at": null,
        "updated_at": null
      }
    }
  ]
}
```

**SDK Code**

```python Digital Wallet_getLittCards_example
import requests

url = "https://tbd/api/v2/users/litt-cards"

querystring = {"api_token":"{{token}}"}

payload = { "api": "litt-cards" }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript Digital Wallet_getLittCards_example
const url = 'https://tbd/api/v2/users/litt-cards?api_token=%7B%7Btoken%7D%7D';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"api":"litt-cards"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Digital Wallet_getLittCards_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://tbd/api/v2/users/litt-cards?api_token=%7B%7Btoken%7D%7D"

	payload := strings.NewReader("{\n  \"api\": \"litt-cards\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Digital Wallet_getLittCards_example
require 'uri'
require 'net/http'

url = URI("https://tbd/api/v2/users/litt-cards?api_token=%7B%7Btoken%7D%7D")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"api\": \"litt-cards\"\n}"

response = http.request(request)
puts response.read_body
```

```java Digital Wallet_getLittCards_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://tbd/api/v2/users/litt-cards?api_token=%7B%7Btoken%7D%7D")
  .header("Content-Type", "application/json")
  .body("{\n  \"api\": \"litt-cards\"\n}")
  .asString();
```

```php Digital Wallet_getLittCards_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://tbd/api/v2/users/litt-cards?api_token=%7B%7Btoken%7D%7D', [
  'body' => '{
  "api": "litt-cards"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Digital Wallet_getLittCards_example
using RestSharp;

var client = new RestClient("https://tbd/api/v2/users/litt-cards?api_token=%7B%7Btoken%7D%7D");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"api\": \"litt-cards\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Digital Wallet_getLittCards_example
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = ["api": "litt-cards"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://tbd/api/v2/users/litt-cards?api_token=%7B%7Btoken%7D%7D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```